Debian Bug report logs - #508374
Oops at startup: linux-image-2.6.26-1-powerpc

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: jeff@kikisoso.org

Date: Wed, 10 Dec 2008 15:57:04 UTC

Severity: normal

Tags: upstream

Merged with 490694

Found in versions linux-2.6/2.6.28-1, linux-2.6/2.6.25-6, linux-2.6/2.6.26-11

Fixed in version 2.6.32-41

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=12436

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508374; Package linux-image-2.6.26-1-powerpc. (Wed, 10 Dec 2008 15:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to jeff@kikisoso.org:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 10 Dec 2008 15:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeff Green <jeff@kikisoso.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Oops at startup: linux-image-2.6.26-1-powerpc
Date: Wed, 10 Dec 2008 10:54:01 -0500
Package: linux-image-2.6.26-1-powerpc
Version: 2.6.26-11
Severity: important

As the subject says, I get an Oops at boot time. At present, the only 
reliable kernel that I have is 2.6.24. I have one of those circa 2000
power macs. The (informational) Oops messages at boot are:

NIP: c013dce0  LR: c013e04c  CTR: 00000000
REGS: e7841c40 TRAP: 0200 Not tainted
MSR: 00049030 <EE,ME,IR,DR>
CR: 04000022   XER: 20000000
TASK: e783f4d0 [1]  'swapper'
THREAD: e7840000

Call trace:

e7841cf0   c013e024    pci_map_rom
e7841d20   c02a6404    0xc02a6404
e7841e50   c013c0fc    pci_device_probe
e7841e70   c01d9374    driver_probe_device
e7841e90   c01d9468    _driver_attach
e7841eb0   c01d88c0    bus_for_each_dev
e7841ee0   c01d9160    driver_attach
e7841ef0   c01d8dc4    bus_add_driver
e7841f10   c01d96d4    driver_register
e7841f30   c013c348    _pci_register_driver
e7841f50   c02a71ec    0xc02a71ec
e7841f70   c03751a0    kernel_init
e7841ff0   c00136d4    kernel_thread

Let me know if any numbers need to be check or added. 
I can reboot and report fairly quickly.

-jeff

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
Architecture: powerpc (ppc)

Kernel: Linux 2.6.24-1-powerpc
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-powerpc depends on:
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92j      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-powerpc recommends no packages.

Versions of packages linux-image-2.6.26-1-powerpc suggests:
pn  linux-doc-2.6.26              <none>     (no description available)
pn  mkvmlinuz                     <none>     (no description available)

-- debconf information:
  linux-image-2.6.26-1-powerpc/preinst/overwriting-modules-2.6.26-1-powerpc: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-powerpc/preinst/failed-to-move-modules-2.6.26-1-powerpc:
  linux-image-2.6.26-1-powerpc/preinst/lilo-initrd-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/preinst/bootloader-initrd-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-powerpc/prerm/would-invalidate-boot-loader-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/preinst/abort-overwrite-2.6.26-1-powerpc:
  linux-image-2.6.26-1-powerpc/prerm/removing-running-kernel-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/preinst/elilo-initrd-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/postinst/old-dir-initrd-link-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/postinst/old-initrd-link-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-powerpc/postinst/depmod-error-initrd-2.6.26-1-powerpc: false
  linux-image-2.6.26-1-powerpc/postinst/bootloader-error-2.6.26-1-powerpc:
  linux-image-2.6.26-1-powerpc/preinst/abort-install-2.6.26-1-powerpc:
  linux-image-2.6.26-1-powerpc/postinst/depmod-error-2.6.26-1-powerpc: false
  linux-image-2.6.26-1-powerpc/postinst/create-kimage-link-2.6.26-1-powerpc: true
  linux-image-2.6.26-1-powerpc/preinst/initrd-2.6.26-1-powerpc:
  linux-image-2.6.26-1-powerpc/postinst/bootloader-test-error-2.6.26-1-powerpc:
  linux-image-2.6.26-1-powerpc/postinst/old-system-map-link-2.6.26-1-powerpc: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508374; Package linux-image-2.6.26-1-powerpc. (Thu, 10 Sep 2009 20:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 10 Sep 2009 20:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 508374@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Jeff Green <jeff@kikisoso.org>
Cc: 508374@bugs.debian.org
Subject: Re: Oops at startup: linux-image-2.6.26-1-powerpc
Date: Thu, 10 Sep 2009 22:41:37 +0200
On Wed, Dec 10, 2008 at 10:54:01AM -0500, Jeff Green wrote:
> Package: linux-image-2.6.26-1-powerpc
> Version: 2.6.26-11
> Severity: important
> 
> As the subject says, I get an Oops at boot time. At present, the only 
> reliable kernel that I have is 2.6.24. I have one of those circa 2000
> power macs. The (informational) Oops messages at boot are:
> 
> NIP: c013dce0  LR: c013e04c  CTR: 00000000
> REGS: e7841c40 TRAP: 0200 Not tainted
> MSR: 00049030 <EE,ME,IR,DR>
> CR: 04000022   XER: 20000000
> TASK: e783f4d0 [1]  'swapper'
> THREAD: e7840000
> 
> Call trace:
> 
> e7841cf0   c013e024    pci_map_rom
> e7841d20   c02a6404    0xc02a6404
> e7841e50   c013c0fc    pci_device_probe
> e7841e70   c01d9374    driver_probe_device
> e7841e90   c01d9468    _driver_attach
> e7841eb0   c01d88c0    bus_for_each_dev
> e7841ee0   c01d9160    driver_attach
> e7841ef0   c01d8dc4    bus_add_driver
> e7841f10   c01d96d4    driver_register
> e7841f30   c013c348    _pci_register_driver
> e7841f50   c02a71ec    0xc02a71ec
> e7841f70   c03751a0    kernel_init
> e7841ff0   c00136d4    kernel_thread
> 
> Let me know if any numbers need to be check or added. 
> I can reboot and report fairly quickly.

Does this still occur with more recent kernels, e.g. 2.6.30
from unstable?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#508374; Package linux-image-2.6.26-1-powerpc. (Sun, 13 Sep 2009 15:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Jeffrey B. Green" <jeff@kikisoso.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 13 Sep 2009 15:03:06 GMT) Full text and rfc822 format available.

Message #15 received at 508374@bugs.debian.org (full text, mbox):

From: "Jeffrey B. Green" <jeff@kikisoso.org>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 508374@bugs.debian.org
Subject: Re: Oops at startup: linux-image-2.6.26-1-powerpc
Date: Sun, 13 Sep 2009 10:55:13 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Moritz Muehlenhoff wrote:
> On Wed, Dec 10, 2008 at 10:54:01AM -0500, Jeff Green wrote:
>> Package: linux-image-2.6.26-1-powerpc
>> Version: 2.6.26-11
>> Severity: important
>>
[...snip...]
> 
> Does this still occur with more recent kernels, e.g. 2.6.30
> from unstable?
> 

More recently (see the last message in
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490694 ), the problem
seems to be related to the second graphics card which I've now removed.
The system does boot up now though I assume it would still oops if I put
the card back in. Awhile back I had done a rc1 build for a 2.6.29 kernel
and it was still oops'ing on that. If you still think a build on a
2.6.30 kernel will do the trick then I'll be happy to do it, i.e. build
of the kernel and re-installation of the card.

- -jeff
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkqtB9AACgkQMfiP4rwHDZwPvgCgmGtFrOFmjw4Oy5sQRhuJiYIN
wagAnAs8r3BKq8FdPGuTW+xKbV6yfVTn
=JN7n
-----END PGP SIGNATURE-----




Bug reassigned from package 'linux-image-2.6.26-1-powerpc' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:45:43 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions linux-2.6/2.6.26-11. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 11 Feb 2010 23:45:43 GMT) Full text and rfc822 format available.

Forcibly Merged 490694 508374. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 04:03:05 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 04:06:03 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:39:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 16 Feb 2012 17:48:06 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.25-6. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.26-11. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions linux-2.6/2.6.28-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Feb 2012 20:24:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Jul 2012 07:49:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:54:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.